Fixed restoration of the panel divider position.
[psensor.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 check_PROGRAMS = test-io-dir-list$(EXEEXT) \
91         test-psensor-type-to-unit-str$(EXEEXT) \
92         test-psensor-value-to-str$(EXEEXT) test-url-encode$(EXEEXT) \
93         test-url-normalize$(EXEEXT)
94 @ATASMART_TRUE@am__append_1 = $(ATASMART_LIBS)
95 @GTOP_TRUE@am__append_2 = $(GTOP_LIBS)
96 TESTS = test-io-dir-list.sh test-psensor-type-to-unit-str$(EXEEXT) \
97         test-psensor-value-to-str$(EXEEXT) test-url-encode$(EXEEXT) \
98         test-url-normalize$(EXEEXT) $(am__append_3)
99 @CPPCHECK_TRUE@am__append_3 = test-cppcheck.sh
100 subdir = tests
101 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
102 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
103 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
104         $(ACLOCAL_M4)
105 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
106 mkinstalldirs = $(install_sh) -d
107 CONFIG_HEADER = $(top_builddir)/config.h
108 CONFIG_CLEAN_FILES =
109 CONFIG_CLEAN_VPATH_FILES =
110 am_test_io_dir_list_OBJECTS = test_io_dir_list.$(OBJEXT)
111 test_io_dir_list_OBJECTS = $(am_test_io_dir_list_OBJECTS)
112 test_io_dir_list_LDADD = $(LDADD)
113 am_test_psensor_type_to_unit_str_OBJECTS = test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.$(OBJEXT)
114 test_psensor_type_to_unit_str_OBJECTS =  \
115         $(am_test_psensor_type_to_unit_str_OBJECTS)
116 test_psensor_type_to_unit_str_LDADD = $(LDADD)
117 test_psensor_type_to_unit_str_LINK = $(CCLD) \
118         $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) \
119         $(AM_LDFLAGS) $(LDFLAGS) -o $@
120 am_test_psensor_value_to_str_OBJECTS =  \
121         test_psensor_value_to_str-test_psensor_value_to_str.$(OBJEXT)
122 test_psensor_value_to_str_OBJECTS =  \
123         $(am_test_psensor_value_to_str_OBJECTS)
124 test_psensor_value_to_str_LDADD = $(LDADD)
125 test_psensor_value_to_str_LINK = $(CCLD) \
126         $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
127         $(LDFLAGS) -o $@
128 am_test_url_encode_OBJECTS = test_url_encode.$(OBJEXT)
129 test_url_encode_OBJECTS = $(am_test_url_encode_OBJECTS)
130 test_url_encode_LDADD = $(LDADD)
131 am_test_url_normalize_OBJECTS = test_url_normalize.$(OBJEXT)
132 test_url_normalize_OBJECTS = $(am_test_url_normalize_OBJECTS)
133 test_url_normalize_LDADD = $(LDADD)
134 AM_V_P = $(am__v_P_@AM_V@)
135 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
136 am__v_P_0 = false
137 am__v_P_1 = :
138 AM_V_GEN = $(am__v_GEN_@AM_V@)
139 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
140 am__v_GEN_0 = @echo "  GEN     " $@;
141 am__v_GEN_1 = 
142 AM_V_at = $(am__v_at_@AM_V@)
143 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
144 am__v_at_0 = @
145 am__v_at_1 = 
146 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
147 depcomp = $(SHELL) $(top_srcdir)/depcomp
148 am__depfiles_maybe = depfiles
149 am__mv = mv -f
150 AM_V_lt = $(am__v_lt_@AM_V@)
151 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
152 am__v_lt_0 = --silent
153 am__v_lt_1 = 
154 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
155         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
156 AM_V_CC = $(am__v_CC_@AM_V@)
157 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
158 am__v_CC_0 = @echo "  CC      " $@;
159 am__v_CC_1 = 
160 CCLD = $(CC)
161 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
162 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
163 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
164 am__v_CCLD_0 = @echo "  CCLD    " $@;
165 am__v_CCLD_1 = 
166 SOURCES = $(test_io_dir_list_SOURCES) \
167         $(test_psensor_type_to_unit_str_SOURCES) \
168         $(test_psensor_value_to_str_SOURCES) \
169         $(test_url_encode_SOURCES) $(test_url_normalize_SOURCES)
170 DIST_SOURCES = $(test_io_dir_list_SOURCES) \
171         $(test_psensor_type_to_unit_str_SOURCES) \
172         $(test_psensor_value_to_str_SOURCES) \
173         $(test_url_encode_SOURCES) $(test_url_normalize_SOURCES)
174 am__can_run_installinfo = \
175   case $$AM_UPDATE_INFO_DIR in \
176     n|no|NO) false;; \
177     *) (install-info --version) >/dev/null 2>&1;; \
178   esac
179 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
180 # Read a list of newline-separated strings from the standard input,
181 # and print each of them once, without duplicates.  Input order is
182 # *not* preserved.
183 am__uniquify_input = $(AWK) '\
184   BEGIN { nonempty = 0; } \
185   { items[$$0] = 1; nonempty = 1; } \
186   END { if (nonempty) { for (i in items) print i; }; } \
187 '
188 # Make sure the list of sources is unique.  This is necessary because,
189 # e.g., the same source file might be shared among _SOURCES variables
190 # for different programs/libraries.
191 am__define_uniq_tagged_files = \
192   list='$(am__tagged_files)'; \
193   unique=`for i in $$list; do \
194     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
195   done | $(am__uniquify_input)`
196 ETAGS = etags
197 CTAGS = ctags
198 am__tty_colors_dummy = \
199   mgn= red= grn= lgn= blu= brg= std=; \
200   am__color_tests=no
201 am__tty_colors = { \
202   $(am__tty_colors_dummy); \
203   if test "X$(AM_COLOR_TESTS)" = Xno; then \
204     am__color_tests=no; \
205   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
206     am__color_tests=yes; \
207   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
208     am__color_tests=yes; \
209   fi; \
210   if test $$am__color_tests = yes; then \
211     red='\e[0;31m'; \
212     grn='\e[0;32m'; \
213     lgn='\e[1;32m'; \
214     blu='\e[1;34m'; \
215     mgn='\e[0;35m'; \
216     brg='\e[1m'; \
217     std='\e[m'; \
218   fi; \
219 }
220 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
221 am__vpath_adj = case $$p in \
222     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
223     *) f=$$p;; \
224   esac;
225 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
226 am__install_max = 40
227 am__nobase_strip_setup = \
228   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
229 am__nobase_strip = \
230   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
231 am__nobase_list = $(am__nobase_strip_setup); \
232   for p in $$list; do echo "$$p $$p"; done | \
233   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
234   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
235     if (++n[$$2] == $(am__install_max)) \
236       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
237     END { for (dir in files) print dir, files[dir] }'
238 am__base_list = \
239   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
240   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
241 am__uninstall_files_from_dir = { \
242   test -z "$$files" \
243     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
244     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
245          $(am__cd) "$$dir" && rm -f $$files; }; \
246   }
247 am__recheck_rx = ^[     ]*:recheck:[    ]*
248 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
249 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
250 # A command that, given a newline-separated list of test names on the
251 # standard input, print the name of the tests that are to be re-run
252 # upon "make recheck".
253 am__list_recheck_tests = $(AWK) '{ \
254   recheck = 1; \
255   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
256     { \
257       if (rc < 0) \
258         { \
259           if ((getline line2 < ($$0 ".log")) < 0) \
260             recheck = 0; \
261           break; \
262         } \
263       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
264         { \
265           recheck = 0; \
266           break; \
267         } \
268       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
269         { \
270           break; \
271         } \
272     }; \
273   if (recheck) \
274     print $$0; \
275   close ($$0 ".trs"); \
276   close ($$0 ".log"); \
277 }'
278 # A command that, given a newline-separated list of test names on the
279 # standard input, create the global log from their .trs and .log files.
280 am__create_global_log = $(AWK) ' \
281 function fatal(msg) \
282 { \
283   print "fatal: making $@: " msg | "cat >&2"; \
284   exit 1; \
285 } \
286 function rst_section(header) \
287 { \
288   print header; \
289   len = length(header); \
290   for (i = 1; i <= len; i = i + 1) \
291     printf "="; \
292   printf "\n\n"; \
293 } \
294 { \
295   copy_in_global_log = 1; \
296   global_test_result = "RUN"; \
297   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298     { \
299       if (rc < 0) \
300          fatal("failed to read from " $$0 ".trs"); \
301       if (line ~ /$(am__global_test_result_rx)/) \
302         { \
303           sub("$(am__global_test_result_rx)", "", line); \
304           sub("[        ]*$$", "", line); \
305           global_test_result = line; \
306         } \
307       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
308         copy_in_global_log = 0; \
309     }; \
310   if (copy_in_global_log) \
311     { \
312       rst_section(global_test_result ": " $$0); \
313       while ((rc = (getline line < ($$0 ".log"))) != 0) \
314       { \
315         if (rc < 0) \
316           fatal("failed to read from " $$0 ".log"); \
317         print line; \
318       }; \
319       printf "\n"; \
320     }; \
321   close ($$0 ".trs"); \
322   close ($$0 ".log"); \
323 }'
324 # Restructured Text title.
325 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
326 # Solaris 10 'make', and several other traditional 'make' implementations,
327 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
328 # by disabling -e (using the XSI extension "set +e") if it's set.
329 am__sh_e_setup = case $$- in *e*) set +e;; esac
330 # Default flags passed to test drivers.
331 am__common_driver_flags = \
332   --color-tests "$$am__color_tests" \
333   --enable-hard-errors "$$am__enable_hard_errors" \
334   --expect-failure "$$am__expect_failure"
335 # To be inserted before the command running the test.  Creates the
336 # directory for the log if needed.  Stores in $dir the directory
337 # containing $f, in $tst the test, in $log the log.  Executes the
338 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
339 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
340 # will run the test scripts (or their associated LOG_COMPILER, if
341 # thy have one).
342 am__check_pre = \
343 $(am__sh_e_setup);                                      \
344 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
345 $(am__tty_colors);                                      \
346 srcdir=$(srcdir); export srcdir;                        \
347 case "$@" in                                            \
348   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
349     *) am__odir=.;;                                     \
350 esac;                                                   \
351 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
352   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
353 if test -f "./$$f"; then dir=./;                        \
354 elif test -f "$$f"; then dir=;                          \
355 else dir="$(srcdir)/"; fi;                              \
356 tst=$$dir$$f; log='$@';                                 \
357 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
358   am__enable_hard_errors=no;                            \
359 else                                                    \
360   am__enable_hard_errors=yes;                           \
361 fi;                                                     \
362 case " $(XFAIL_TESTS) " in                              \
363   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
364     am__expect_failure=yes;;                            \
365   *)                                                    \
366     am__expect_failure=no;;                             \
367 esac;                                                   \
368 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
369 # A shell command to get the names of the tests scripts with any registered
370 # extension removed (i.e., equivalently, the names of the test logs, with
371 # the '.log' extension removed).  The result is saved in the shell variable
372 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
373 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
374 # since that might cause problem with VPATH rewrites for suffix-less tests.
375 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
376 am__set_TESTS_bases = \
377   bases='$(TEST_LOGS)'; \
378   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
379   bases=`echo $$bases`
380 RECHECK_LOGS = $(TEST_LOGS)
381 AM_RECURSIVE_TARGETS = check recheck
382 TEST_SUITE_LOG = test-suite.log
383 TEST_EXTENSIONS = @EXEEXT@ .test
384 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
385 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
386 am__set_b = \
387   case '$@' in \
388     */*) \
389       case '$*' in \
390         */*) b='$*';; \
391           *) b=`echo '$@' | sed 's/\.log$$//'`; \
392        esac;; \
393     *) \
394       b='$*';; \
395   esac
396 am__test_logs1 = $(TESTS:=.log)
397 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
398 TEST_LOGS = $(am__test_logs2:.test.log=.log)
399 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
400 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
401         $(TEST_LOG_FLAGS)
402 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
403         $(top_srcdir)/test-driver
404 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
405 ACLOCAL = @ACLOCAL@
406 AMTAR = @AMTAR@
407 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
408 APPINDICATOR_CFLAGS = @APPINDICATOR_CFLAGS@
409 APPINDICATOR_LIBS = @APPINDICATOR_LIBS@
410 AR = @AR@
411 ASCIIDOC = @ASCIIDOC@
412 ATASMART_CFLAGS = @ATASMART_CFLAGS@
413 ATASMART_LIBS = @ATASMART_LIBS@
414 AUTOCONF = @AUTOCONF@
415 AUTOHEADER = @AUTOHEADER@
416 AUTOMAKE = @AUTOMAKE@
417 AWK = @AWK@
418 CC = @CC@
419 CCDEPMODE = @CCDEPMODE@
420 CFLAGS = @CFLAGS@
421 CPP = @CPP@
422 CPPFLAGS = @CPPFLAGS@
423 CURL_CFLAGS = @CURL_CFLAGS@
424 CURL_LIBS = @CURL_LIBS@
425 CYGPATH_W = @CYGPATH_W@
426 DEFS = -DPACKAGE_DATA_DIR=\"$(pkgdatadir)\" -DLOCALEDIR=\"$(localedir)\" @DEFS@
427 DEPDIR = @DEPDIR@
428 ECHO_C = @ECHO_C@
429 ECHO_N = @ECHO_N@
430 ECHO_T = @ECHO_T@
431 EGREP = @EGREP@
432 EXEEXT = @EXEEXT@
433 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
434 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
435 GMSGFMT = @GMSGFMT@
436 GMSGFMT_015 = @GMSGFMT_015@
437 GREP = @GREP@
438 GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
439 GTK_CFLAGS = @GTK_CFLAGS@
440 GTK_LIBS = @GTK_LIBS@
441 GTOP_CFLAGS = @GTOP_CFLAGS@
442 GTOP_LIBS = @GTOP_LIBS@
443 HAVE_CPPCHECK = @HAVE_CPPCHECK@
444 HELP2MAN = @HELP2MAN@
445 INSTALL = @INSTALL@
446 INSTALL_DATA = @INSTALL_DATA@
447 INSTALL_PROGRAM = @INSTALL_PROGRAM@
448 INSTALL_SCRIPT = @INSTALL_SCRIPT@
449 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
450 INTLLIBS = @INTLLIBS@
451 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
452 JSON_CFLAGS = @JSON_CFLAGS@
453 JSON_LIBS = @JSON_LIBS@
454 LDFLAGS = @LDFLAGS@
455 LIBATIADL_CFLAGS = @LIBATIADL_CFLAGS@
456 LIBATIADL_LIBS = @LIBATIADL_LIBS@
457 LIBICONV = @LIBICONV@
458 LIBINTL = @LIBINTL@
459 LIBMICROHTTPD_CFLAGS = @LIBMICROHTTPD_CFLAGS@
460 LIBMICROHTTPD_LIBS = @LIBMICROHTTPD_LIBS@
461 LIBNOTIFY_CFLAGS = @LIBNOTIFY_CFLAGS@
462 LIBNOTIFY_LIBS = @LIBNOTIFY_LIBS@
463 LIBOBJS = @LIBOBJS@
464 LIBS = @LIBS@ ../src/lib/libpsensor.a $(SENSORS_LIBS) $(am__append_1) \
465         $(am__append_2)
466 LIBUDISKS2_CFLAGS = @LIBUDISKS2_CFLAGS@
467 LIBUDISKS2_LIBS = @LIBUDISKS2_LIBS@
468 LTLIBICONV = @LTLIBICONV@
469 LTLIBINTL = @LTLIBINTL@
470 LTLIBOBJS = @LTLIBOBJS@
471 MAKEINFO = @MAKEINFO@
472 MKDIR_P = @MKDIR_P@
473 MSGFMT = @MSGFMT@
474 MSGFMT_015 = @MSGFMT_015@
475 MSGMERGE = @MSGMERGE@
476 NVIDIA_CFLAGS = @NVIDIA_CFLAGS@
477 NVIDIA_LIBS = @NVIDIA_LIBS@
478 OBJEXT = @OBJEXT@
479 PACKAGE = @PACKAGE@
480 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
481 PACKAGE_NAME = @PACKAGE_NAME@
482 PACKAGE_STRING = @PACKAGE_STRING@
483 PACKAGE_TARNAME = @PACKAGE_TARNAME@
484 PACKAGE_URL = @PACKAGE_URL@
485 PACKAGE_VERSION = @PACKAGE_VERSION@
486 PATH_SEPARATOR = @PATH_SEPARATOR@
487 PKG_CONFIG = @PKG_CONFIG@
488 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
489 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
490 POSUB = @POSUB@
491 PTHREAD_LIBS = @PTHREAD_LIBS@
492 RANLIB = @RANLIB@
493 SED = @SED@
494 SENSORS_LIBS = @SENSORS_LIBS@
495 SET_MAKE = @SET_MAKE@
496 SHELL = @SHELL@
497 STRIP = @STRIP@
498 UNITY_CFLAGS = @UNITY_CFLAGS@
499 UNITY_LIBS = @UNITY_LIBS@
500 USE_NLS = @USE_NLS@
501 VERSION = @VERSION@
502 X11_CFLAGS = @X11_CFLAGS@
503 X11_LIBS = @X11_LIBS@
504 XEXT_CFLAGS = @XEXT_CFLAGS@
505 XEXT_LIBS = @XEXT_LIBS@
506 XGETTEXT = @XGETTEXT@
507 XGETTEXT_015 = @XGETTEXT_015@
508 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
509 XMKMF = @XMKMF@
510 abs_builddir = @abs_builddir@
511 abs_srcdir = @abs_srcdir@
512 abs_top_builddir = @abs_top_builddir@
513 abs_top_srcdir = @abs_top_srcdir@
514 ac_ct_AR = @ac_ct_AR@
515 ac_ct_CC = @ac_ct_CC@
516 am__include = @am__include@
517 am__leading_dot = @am__leading_dot@
518 am__quote = @am__quote@
519 am__tar = @am__tar@
520 am__untar = @am__untar@
521 bindir = @bindir@
522 build = @build@
523 build_alias = @build_alias@
524 build_cpu = @build_cpu@
525 build_os = @build_os@
526 build_vendor = @build_vendor@
527 builddir = @builddir@
528 datadir = @datadir@
529 datarootdir = @datarootdir@
530 docdir = @docdir@
531 dvidir = @dvidir@
532 exec_prefix = @exec_prefix@
533 gsettingsschemadir = @gsettingsschemadir@
534 host = @host@
535 host_alias = @host_alias@
536 host_cpu = @host_cpu@
537 host_os = @host_os@
538 host_vendor = @host_vendor@
539 htmldir = @htmldir@
540 includedir = @includedir@
541 infodir = @infodir@
542 install_sh = @install_sh@
543 libdir = @libdir@
544 libexecdir = @libexecdir@
545 localedir = @localedir@
546 localstatedir = @localstatedir@
547 mandir = @mandir@
548 mkdir_p = @mkdir_p@
549 oldincludedir = @oldincludedir@
550 pdfdir = @pdfdir@
551 prefix = @prefix@
552 program_transform_name = @program_transform_name@
553 psdir = @psdir@
554 runstatedir = @runstatedir@
555 sbindir = @sbindir@
556 sharedstatedir = @sharedstatedir@
557 srcdir = @srcdir@
558 sysconfdir = @sysconfdir@
559 target_alias = @target_alias@
560 top_build_prefix = @top_build_prefix@
561 top_builddir = @top_builddir@
562 top_srcdir = @top_srcdir@
563 EXTRA_DIST = checkpatch.pl \
564         spelling.txt \
565         test-cppcheck.sh \
566         test-io-dir-list.sh
567
568 AM_CPPFLAGS = -Wall -Werror
569 test_io_dir_list_SOURCES = test_io_dir_list.c
570 test_psensor_type_to_unit_str_SOURCES = test_psensor_type_to_unit_str.c
571 test_psensor_type_to_unit_str_CFLAGS = -I$(top_srcdir)/src/lib
572 test_psensor_value_to_str_SOURCES = test_psensor_value_to_str.c
573 test_psensor_value_to_str_CFLAGS = -I$(top_srcdir)/src/lib
574 test_url_encode_SOURCES = test_url_encode.c
575 test_url_normalize_SOURCES = test_url_normalize.c
576 all: all-am
577
578 .SUFFIXES:
579 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
580 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
581         @for dep in $?; do \
582           case '$(am__configure_deps)' in \
583             *$$dep*) \
584               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
585                 && { if test -f $@; then exit 0; else break; fi; }; \
586               exit 1;; \
587           esac; \
588         done; \
589         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
590         $(am__cd) $(top_srcdir) && \
591           $(AUTOMAKE) --gnu tests/Makefile
592 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
593         @case '$?' in \
594           *config.status*) \
595             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
596           *) \
597             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
598             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
599         esac;
600
601 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
602         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
603
604 $(top_srcdir)/configure:  $(am__configure_deps)
605         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
607         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
608 $(am__aclocal_m4_deps):
609
610 clean-checkPROGRAMS:
611         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
612
613 test-io-dir-list$(EXEEXT): $(test_io_dir_list_OBJECTS) $(test_io_dir_list_DEPENDENCIES) $(EXTRA_test_io_dir_list_DEPENDENCIES) 
614         @rm -f test-io-dir-list$(EXEEXT)
615         $(AM_V_CCLD)$(LINK) $(test_io_dir_list_OBJECTS) $(test_io_dir_list_LDADD) $(LIBS)
616
617 test-psensor-type-to-unit-str$(EXEEXT): $(test_psensor_type_to_unit_str_OBJECTS) $(test_psensor_type_to_unit_str_DEPENDENCIES) $(EXTRA_test_psensor_type_to_unit_str_DEPENDENCIES) 
618         @rm -f test-psensor-type-to-unit-str$(EXEEXT)
619         $(AM_V_CCLD)$(test_psensor_type_to_unit_str_LINK) $(test_psensor_type_to_unit_str_OBJECTS) $(test_psensor_type_to_unit_str_LDADD) $(LIBS)
620
621 test-psensor-value-to-str$(EXEEXT): $(test_psensor_value_to_str_OBJECTS) $(test_psensor_value_to_str_DEPENDENCIES) $(EXTRA_test_psensor_value_to_str_DEPENDENCIES) 
622         @rm -f test-psensor-value-to-str$(EXEEXT)
623         $(AM_V_CCLD)$(test_psensor_value_to_str_LINK) $(test_psensor_value_to_str_OBJECTS) $(test_psensor_value_to_str_LDADD) $(LIBS)
624
625 test-url-encode$(EXEEXT): $(test_url_encode_OBJECTS) $(test_url_encode_DEPENDENCIES) $(EXTRA_test_url_encode_DEPENDENCIES) 
626         @rm -f test-url-encode$(EXEEXT)
627         $(AM_V_CCLD)$(LINK) $(test_url_encode_OBJECTS) $(test_url_encode_LDADD) $(LIBS)
628
629 test-url-normalize$(EXEEXT): $(test_url_normalize_OBJECTS) $(test_url_normalize_DEPENDENCIES) $(EXTRA_test_url_normalize_DEPENDENCIES) 
630         @rm -f test-url-normalize$(EXEEXT)
631         $(AM_V_CCLD)$(LINK) $(test_url_normalize_OBJECTS) $(test_url_normalize_LDADD) $(LIBS)
632
633 mostlyclean-compile:
634         -rm -f *.$(OBJEXT)
635
636 distclean-compile:
637         -rm -f *.tab.c
638
639 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_io_dir_list.Po@am__quote@
640 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po@am__quote@
641 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po@am__quote@
642 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_url_encode.Po@am__quote@
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_url_normalize.Po@am__quote@
644
645 .c.o:
646 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
647 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
649 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
650 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
651
652 .c.obj:
653 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
654 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
656 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
657 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
658
659 test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o: test_psensor_type_to_unit_str.c
660 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -MT test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o -MD -MP -MF $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o `test -f 'test_psensor_type_to_unit_str.c' || echo '$(srcdir)/'`test_psensor_type_to_unit_str.c
661 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_type_to_unit_str.c' object='test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o' libtool=no @AMDEPBACKSLASH@
663 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
664 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.o `test -f 'test_psensor_type_to_unit_str.c' || echo '$(srcdir)/'`test_psensor_type_to_unit_str.c
665
666 test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj: test_psensor_type_to_unit_str.c
667 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -MT test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj -MD -MP -MF $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj `if test -f 'test_psensor_type_to_unit_str.c'; then $(CYGPATH_W) 'test_psensor_type_to_unit_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_type_to_unit_str.c'; fi`
668 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Tpo $(DEPDIR)/test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.Po
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_type_to_unit_str.c' object='test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj' libtool=no @AMDEPBACKSLASH@
670 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
671 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_type_to_unit_str_CFLAGS) $(CFLAGS) -c -o test_psensor_type_to_unit_str-test_psensor_type_to_unit_str.obj `if test -f 'test_psensor_type_to_unit_str.c'; then $(CYGPATH_W) 'test_psensor_type_to_unit_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_type_to_unit_str.c'; fi`
672
673 test_psensor_value_to_str-test_psensor_value_to_str.o: test_psensor_value_to_str.c
674 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -MT test_psensor_value_to_str-test_psensor_value_to_str.o -MD -MP -MF $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo -c -o test_psensor_value_to_str-test_psensor_value_to_str.o `test -f 'test_psensor_value_to_str.c' || echo '$(srcdir)/'`test_psensor_value_to_str.c
675 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_value_to_str.c' object='test_psensor_value_to_str-test_psensor_value_to_str.o' libtool=no @AMDEPBACKSLASH@
677 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
678 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -c -o test_psensor_value_to_str-test_psensor_value_to_str.o `test -f 'test_psensor_value_to_str.c' || echo '$(srcdir)/'`test_psensor_value_to_str.c
679
680 test_psensor_value_to_str-test_psensor_value_to_str.obj: test_psensor_value_to_str.c
681 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -MT test_psensor_value_to_str-test_psensor_value_to_str.obj -MD -MP -MF $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo -c -o test_psensor_value_to_str-test_psensor_value_to_str.obj `if test -f 'test_psensor_value_to_str.c'; then $(CYGPATH_W) 'test_psensor_value_to_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_value_to_str.c'; fi`
682 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Tpo $(DEPDIR)/test_psensor_value_to_str-test_psensor_value_to_str.Po
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_psensor_value_to_str.c' object='test_psensor_value_to_str-test_psensor_value_to_str.obj' libtool=no @AMDEPBACKSLASH@
684 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
685 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_psensor_value_to_str_CFLAGS) $(CFLAGS) -c -o test_psensor_value_to_str-test_psensor_value_to_str.obj `if test -f 'test_psensor_value_to_str.c'; then $(CYGPATH_W) 'test_psensor_value_to_str.c'; else $(CYGPATH_W) '$(srcdir)/test_psensor_value_to_str.c'; fi`
686
687 ID: $(am__tagged_files)
688         $(am__define_uniq_tagged_files); mkid -fID $$unique
689 tags: tags-am
690 TAGS: tags
691
692 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
693         set x; \
694         here=`pwd`; \
695         $(am__define_uniq_tagged_files); \
696         shift; \
697         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
698           test -n "$$unique" || unique=$$empty_fix; \
699           if test $$# -gt 0; then \
700             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
701               "$$@" $$unique; \
702           else \
703             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
704               $$unique; \
705           fi; \
706         fi
707 ctags: ctags-am
708
709 CTAGS: ctags
710 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
711         $(am__define_uniq_tagged_files); \
712         test -z "$(CTAGS_ARGS)$$unique" \
713           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
714              $$unique
715
716 GTAGS:
717         here=`$(am__cd) $(top_builddir) && pwd` \
718           && $(am__cd) $(top_srcdir) \
719           && gtags -i $(GTAGS_ARGS) "$$here"
720 cscopelist: cscopelist-am
721
722 cscopelist-am: $(am__tagged_files)
723         list='$(am__tagged_files)'; \
724         case "$(srcdir)" in \
725           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
726           *) sdir=$(subdir)/$(srcdir) ;; \
727         esac; \
728         for i in $$list; do \
729           if test -f "$$i"; then \
730             echo "$(subdir)/$$i"; \
731           else \
732             echo "$$sdir/$$i"; \
733           fi; \
734         done >> $(top_builddir)/cscope.files
735
736 distclean-tags:
737         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
738
739 # Recover from deleted '.trs' file; this should ensure that
740 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
741 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
742 # to avoid problems with "make -n".
743 .log.trs:
744         rm -f $< $@
745         $(MAKE) $(AM_MAKEFLAGS) $<
746
747 # Leading 'am--fnord' is there to ensure the list of targets does not
748 # expand to empty, as could happen e.g. with make check TESTS=''.
749 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
750 am--force-recheck:
751         @:
752
753 $(TEST_SUITE_LOG): $(TEST_LOGS)
754         @$(am__set_TESTS_bases); \
755         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
756         redo_bases=`for i in $$bases; do \
757                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
758                     done`; \
759         if test -n "$$redo_bases"; then \
760           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
761           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
762           if $(am__make_dryrun); then :; else \
763             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
764           fi; \
765         fi; \
766         if test -n "$$am__remaking_logs"; then \
767           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
768                "recursion detected" >&2; \
769         elif test -n "$$redo_logs"; then \
770           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
771         fi; \
772         if $(am__make_dryrun); then :; else \
773           st=0;  \
774           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
775           for i in $$redo_bases; do \
776             test -f $$i.trs && test -r $$i.trs \
777               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
778             test -f $$i.log && test -r $$i.log \
779               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
780           done; \
781           test $$st -eq 0 || exit 1; \
782         fi
783         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
784         ws='[   ]'; \
785         results=`for b in $$bases; do echo $$b.trs; done`; \
786         test -n "$$results" || results=/dev/null; \
787         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
788         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
789         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
790         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
791         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
792         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
793         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
794         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
795           success=true; \
796         else \
797           success=false; \
798         fi; \
799         br='==================='; br=$$br$$br$$br$$br; \
800         result_count () \
801         { \
802             if test x"$$1" = x"--maybe-color"; then \
803               maybe_colorize=yes; \
804             elif test x"$$1" = x"--no-color"; then \
805               maybe_colorize=no; \
806             else \
807               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
808             fi; \
809             shift; \
810             desc=$$1 count=$$2; \
811             if test $$maybe_colorize = yes && test $$count -gt 0; then \
812               color_start=$$3 color_end=$$std; \
813             else \
814               color_start= color_end=; \
815             fi; \
816             echo "$${color_start}# $$desc $$count$${color_end}"; \
817         }; \
818         create_testsuite_report () \
819         { \
820           result_count $$1 "TOTAL:" $$all   "$$brg"; \
821           result_count $$1 "PASS: " $$pass  "$$grn"; \
822           result_count $$1 "SKIP: " $$skip  "$$blu"; \
823           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
824           result_count $$1 "FAIL: " $$fail  "$$red"; \
825           result_count $$1 "XPASS:" $$xpass "$$red"; \
826           result_count $$1 "ERROR:" $$error "$$mgn"; \
827         }; \
828         {                                                               \
829           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
830             $(am__rst_title);                                           \
831           create_testsuite_report --no-color;                           \
832           echo;                                                         \
833           echo ".. contents:: :depth: 2";                               \
834           echo;                                                         \
835           for b in $$bases; do echo $$b; done                           \
836             | $(am__create_global_log);                                 \
837         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
838         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
839         if $$success; then                                              \
840           col="$$grn";                                                  \
841          else                                                           \
842           col="$$red";                                                  \
843           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
844         fi;                                                             \
845         echo "$${col}$$br$${std}";                                      \
846         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
847         echo "$${col}$$br$${std}";                                      \
848         create_testsuite_report --maybe-color;                          \
849         echo "$$col$$br$$std";                                          \
850         if $$success; then :; else                                      \
851           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
852           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
853             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
854           fi;                                                           \
855           echo "$$col$$br$$std";                                        \
856         fi;                                                             \
857         $$success || exit 1
858
859 check-TESTS:
860         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
861         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
862         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
863         @set +e; $(am__set_TESTS_bases); \
864         log_list=`for i in $$bases; do echo $$i.log; done`; \
865         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
866         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
867         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
868         exit $$?;
869 recheck: all $(check_PROGRAMS)
870         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
871         @set +e; $(am__set_TESTS_bases); \
872         bases=`for i in $$bases; do echo $$i; done \
873                  | $(am__list_recheck_tests)` || exit 1; \
874         log_list=`for i in $$bases; do echo $$i.log; done`; \
875         log_list=`echo $$log_list`; \
876         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
877                 am__force_recheck=am--force-recheck \
878                 TEST_LOGS="$$log_list"; \
879         exit $$?
880 test-io-dir-list.sh.log: test-io-dir-list.sh
881         @p='test-io-dir-list.sh'; \
882         b='test-io-dir-list.sh'; \
883         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
884         --log-file $$b.log --trs-file $$b.trs \
885         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
886         "$$tst" $(AM_TESTS_FD_REDIRECT)
887 test-psensor-type-to-unit-str.log: test-psensor-type-to-unit-str$(EXEEXT)
888         @p='test-psensor-type-to-unit-str$(EXEEXT)'; \
889         b='test-psensor-type-to-unit-str'; \
890         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
891         --log-file $$b.log --trs-file $$b.trs \
892         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
893         "$$tst" $(AM_TESTS_FD_REDIRECT)
894 test-psensor-value-to-str.log: test-psensor-value-to-str$(EXEEXT)
895         @p='test-psensor-value-to-str$(EXEEXT)'; \
896         b='test-psensor-value-to-str'; \
897         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
898         --log-file $$b.log --trs-file $$b.trs \
899         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
900         "$$tst" $(AM_TESTS_FD_REDIRECT)
901 test-url-encode.log: test-url-encode$(EXEEXT)
902         @p='test-url-encode$(EXEEXT)'; \
903         b='test-url-encode'; \
904         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
905         --log-file $$b.log --trs-file $$b.trs \
906         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
907         "$$tst" $(AM_TESTS_FD_REDIRECT)
908 test-url-normalize.log: test-url-normalize$(EXEEXT)
909         @p='test-url-normalize$(EXEEXT)'; \
910         b='test-url-normalize'; \
911         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
912         --log-file $$b.log --trs-file $$b.trs \
913         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
914         "$$tst" $(AM_TESTS_FD_REDIRECT)
915 test-cppcheck.sh.log: test-cppcheck.sh
916         @p='test-cppcheck.sh'; \
917         b='test-cppcheck.sh'; \
918         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
919         --log-file $$b.log --trs-file $$b.trs \
920         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
921         "$$tst" $(AM_TESTS_FD_REDIRECT)
922 .test.log:
923         @p='$<'; \
924         $(am__set_b); \
925         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
926         --log-file $$b.log --trs-file $$b.trs \
927         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
928         "$$tst" $(AM_TESTS_FD_REDIRECT)
929 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
930 @am__EXEEXT_TRUE@       @p='$<'; \
931 @am__EXEEXT_TRUE@       $(am__set_b); \
932 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
933 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
934 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
935 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
936
937 distdir: $(DISTFILES)
938         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
939         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
940         list='$(DISTFILES)'; \
941           dist_files=`for file in $$list; do echo $$file; done | \
942           sed -e "s|^$$srcdirstrip/||;t" \
943               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
944         case $$dist_files in \
945           */*) $(MKDIR_P) `echo "$$dist_files" | \
946                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
947                            sort -u` ;; \
948         esac; \
949         for file in $$dist_files; do \
950           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
951           if test -d $$d/$$file; then \
952             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
953             if test -d "$(distdir)/$$file"; then \
954               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
955             fi; \
956             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
957               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
958               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
959             fi; \
960             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
961           else \
962             test -f "$(distdir)/$$file" \
963             || cp -p $$d/$$file "$(distdir)/$$file" \
964             || exit 1; \
965           fi; \
966         done
967 check-am: all-am
968         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
969         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
970 check: check-am
971 all-am: Makefile
972 installdirs:
973 install: install-am
974 install-exec: install-exec-am
975 install-data: install-data-am
976 uninstall: uninstall-am
977
978 install-am: all-am
979         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
980
981 installcheck: installcheck-am
982 install-strip:
983         if test -z '$(STRIP)'; then \
984           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
985             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
986               install; \
987         else \
988           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
989             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
990             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
991         fi
992 mostlyclean-generic:
993         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
994         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
995         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
996
997 clean-generic:
998
999 distclean-generic:
1000         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1001         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1002
1003 maintainer-clean-generic:
1004         @echo "This command is intended for maintainers to use"
1005         @echo "it deletes files that may require special tools to rebuild."
1006 clean: clean-am
1007
1008 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
1009
1010 distclean: distclean-am
1011         -rm -rf ./$(DEPDIR)
1012         -rm -f Makefile
1013 distclean-am: clean-am distclean-compile distclean-generic \
1014         distclean-tags
1015
1016 dvi: dvi-am
1017
1018 dvi-am:
1019
1020 html: html-am
1021
1022 html-am:
1023
1024 info: info-am
1025
1026 info-am:
1027
1028 install-data-am:
1029
1030 install-dvi: install-dvi-am
1031
1032 install-dvi-am:
1033
1034 install-exec-am:
1035
1036 install-html: install-html-am
1037
1038 install-html-am:
1039
1040 install-info: install-info-am
1041
1042 install-info-am:
1043
1044 install-man:
1045
1046 install-pdf: install-pdf-am
1047
1048 install-pdf-am:
1049
1050 install-ps: install-ps-am
1051
1052 install-ps-am:
1053
1054 installcheck-am:
1055
1056 maintainer-clean: maintainer-clean-am
1057         -rm -rf ./$(DEPDIR)
1058         -rm -f Makefile
1059 maintainer-clean-am: distclean-am maintainer-clean-generic
1060
1061 mostlyclean: mostlyclean-am
1062
1063 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1064
1065 pdf: pdf-am
1066
1067 pdf-am:
1068
1069 ps: ps-am
1070
1071 ps-am:
1072
1073 uninstall-am:
1074
1075 .MAKE: check-am install-am install-strip
1076
1077 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1078         check-local clean clean-checkPROGRAMS clean-generic \
1079         cscopelist-am ctags ctags-am distclean distclean-compile \
1080         distclean-generic distclean-tags distdir dvi dvi-am html \
1081         html-am info info-am install install-am install-data \
1082         install-data-am install-dvi install-dvi-am install-exec \
1083         install-exec-am install-html install-html-am install-info \
1084         install-info-am install-man install-pdf install-pdf-am \
1085         install-ps install-ps-am install-strip installcheck \
1086         installcheck-am installdirs maintainer-clean \
1087         maintainer-clean-generic mostlyclean mostlyclean-compile \
1088         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1089         uninstall uninstall-am
1090
1091 .PRECIOUS: Makefile
1092
1093 check-local: checkpatch.pl
1094         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
1095         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
1096
1097 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1098 # Otherwise a system limit (for SysV at least) may be exceeded.
1099 .NOEXPORT: